### Class

# Camel StoreSettings

since: 3.2

#### Description [src]

    class Camel.StoreSettings : Camel.Settings
    {
      /* No available fields */
    }

Contains only private data that should be read and manipulated using the functions below.

Available since: 3.2

#### Hierarchy

#### Ancestors

- CamelSettings
- GObject

#### Descendants

- CamelLocalSettings
- CamelOfflineSettings

#### Instance methods

###### camel_store_settings_get_filter_inbox

Returns whether to automatically apply filters to newly arrived messages in the store’s Inbox folder (assuming it has an Inbox folder).

since: 3.2

###### camel_store_settings_get_store_changes_interval

Returns the interval, in seconds, for the changes in the folder being saved automatically. 0 means immediately, while -1 means turning off automatic folder change saving.

since: 3.40

###### camel_store_settings_set_filter_inbox

Sets whether to automatically apply filters to newly arrived messages in the store’s Inbox folder (assuming it has an Inbox folder).

since: 3.2

###### camel_store_settings_set_store_changes_interval

Sets the interval, in seconds, for the changes in the folder being saved automatically. 0 means immediately, while -1 means turning off automatic folder change saving.

since: 3.40

##### Methods inherited from CamelSettings (2)

###### camel_settings_clone

Creates a copy of `settings`, such that passing `settings` and the copied instance to `camel_settings_equal()` would return `TRUE`.

since: 3.2

###### camel_settings_equal

Returns `TRUE` if `settings_a` and `settings_b` are equal.

since: 3.2

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Camel.StoreSettings:filter-inbox

Whether to filter new messages in Inbox.

###### Camel.StoreSettings:store-changes-interval

Interval, in seconds, to store folder changes.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct CamelStoreSettingsClass {
      CamelSettingsClass parent_class;
      gpointer reserved;

    }

No description available.

###### Class members

`parent_class: CamelSettingsClass`

  No description available.

`reserved: gpointer`

  No description available.